## python-oslo.service 0.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
WebOb>=1.2.3
eventlet>=0.17.4
greenlet>=0.3.2
monotonic>=0.3 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
six>=1.9.0
oslo.i18n>=1.5.0 # Apache-2.0
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
Paste

=== debian/changelog ===
python-oslo.service (0.9.0-1~cloud1) trusty-liberty; urgency=medium

  * Backport fix for race condition in SIGTERM signal handler (LP: #1524907)
    - d/p/fix-race-condition-on-handling-signals.patch
  * Also including unit test monkeypath fix
    - d/p/doing-monkey_patch-for-unittest.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 29 Sep 2016 13:45:14 +0100

python-oslo.service (0.9.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 05:15:10 +0000

python-oslo.service (0.9.0-1) experimental; urgency=medium

  [ James Page ]
  * d/control: Add missing BD on python{3}-requests.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 19:11:44 +0200

python-oslo.service (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)dependency for this release.
  * Black list the below tests which are failing under Python 3.4:
    - test_wsgi.TestWSGIServerWithSSL.test_app_using_ipv6_and_ssl
    - test_wsgi.TestWSGIServerWithSSL.test_ssl_server
    - test_wsgi.TestWSGIServerWithSSL.test_two_servers

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 09:02:55 +0000

python-oslo.service (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #789920)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jun 2015 10:16:19 +0200

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-eventlet (>= 0.17.4),
                     python-greenlet,
                     python-hacking,
                     python-mock (>= 1.3),
                     python-monotonic (>= 0.3),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.1),
                     python-paste,
                     python-pastedeploy,
                     python-requests (>= 2.5.2),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-webob,
                     python3-babel,
                     python3-eventlet (>= 0.17.4),
                     python3-greenlet,
                     python3-hacking,
                     python3-mock (>= 1.3),
                     python3-monotonic (>= 0.3),
                     python3-oslo.concurrency (>= 2.3.0),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paste,
                     python3-pastedeploy,
                     python3-requests (>= 2.5.2),
                     python3-routes,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.service.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.service.git
Homepage: http://github.com/openstack/oslo.service

Package: python-oslo.service
Architecture: all
Depends: python-babel,
         python-eventlet (>= 0.17.4),
         python-monotonic (>= 0.3),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.utils (>= 2.0.0),
         python-paste,
         python-pastedeploy,
         python-routes,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.service-doc,
Description: library for running OpenStack services - Python 2.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.service
Architecture: all
Depends: python3-babel,
         python3-eventlet (>= 0.17.4),
         python3-monotonic (>= 0.3),
         python3-oslo.concurrency (>= 2.3.0),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.log (>= 1.8.0),
         python3-oslo.utils (>= 2.0.0),
         python3-paste,
         python3-pastedeploy,
         python3-routes,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the Python 3.x module.

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the documentation.

## python-oslo.service 1.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
WebOb>=1.2.3 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
monotonic>=0.6 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
Paste # MIT

=== debian/changelog ===
python-oslo.service (1.8.0-1ubuntu1) xenial; urgency=medium

  * d/control: Drop python-doc8 from BDs as it's not needed for package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Apr 2016 10:35:07 -0400

python-oslo.service (1.8.0-1) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Blacklist 3 unit tests in Py35 only:
    - EventletServerServiceLauncherTest.test_graceful_stop_with_exceeded_graceful_shutdown_timeout
    - EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected
    - ServiceLauncherTest.test_child_signal_sighup

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:38:20 +0000

python-oslo.service (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Testing with all versions of Python 3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 08:52:50 +0000

python-oslo.service (1.2.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/rules: Enable py3 tests and test_sslutils.SslutilsTestCase.test_is_enabled.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 09:20:54 +0000

python-oslo.service (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disable test_sslutils.SslutilsTestCase.test_is_enabled, as it's broken
    with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 15:55:49 +0100

python-oslo.service (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:44:55 +0000

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.service; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.service; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.service/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.service/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.service 1.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

WebOb>=1.2.3 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
monotonic>=0.6 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
Paste # MIT

=== debian/changelog ===
python-oslo.service (1.11.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:44:14 +0000

python-oslo.service (1.11.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop python-doc8 from BDs as it's not needed for package builds.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch to debian/newton.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:43:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -14,16 +15,18 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
-                     python-eventlet (>= 0.17.4),
+                     python-coverage,
+                     python-eventlet (>= 0.18.4),
+                     python-fixtures (>= 1.3.1),
                      python-greenlet,
                      python-hacking,
                      python-mock (>= 1.3),
-                     python-monotonic (>= 0.3),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-monotonic (>= 0.6),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.1),
                      python-paste,
@@ -33,16 +36,17 @@
                      python-six (>= 1.9.0),
                      python-webob,
                      python3-babel,
-                     python3-eventlet (>= 0.17.4),
+                     python3-eventlet (>= 0.18.4),
+                     python3-fixtures (>= 1.3.1),
                      python3-greenlet,
                      python3-hacking,
                      python3-mock (>= 1.3),
-                     python3-monotonic (>= 0.3),
-                     python3-oslo.concurrency (>= 2.3.0),
-                     python3-oslo.config (>= 1:2.3.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.log (>= 1.8.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-monotonic (>= 0.6),
+                     python3-oslo.concurrency (>= 3.5.0),
+                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.log (>= 1.14.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
                      python3-paste,
                      python3-pastedeploy,
@@ -53,21 +57,21 @@
                      python3-webob,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.service.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.service.git
-Homepage: http://github.com/openstack/oslo.service
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.service?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-oslo.service -b debian/newton
+Homepage: https://github.com/openstack/oslo.service
 
 Package: python-oslo.service
 Architecture: all
 Depends: python-babel,
-         python-eventlet (>= 0.17.4),
-         python-monotonic (>= 0.3),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.utils (>= 2.0.0),
+         python-eventlet (>= 0.18.4),
+         python-monotonic (>= 0.6),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.utils (>= 3.5.0),
          python-paste,
          python-pastedeploy,
          python-routes,
@@ -90,13 +94,13 @@
 Package: python3-oslo.service
 Architecture: all
 Depends: python3-babel,
-         python3-eventlet (>= 0.17.4),
-         python3-monotonic (>= 0.3),
-         python3-oslo.concurrency (>= 2.3.0),
-         python3-oslo.config (>= 1:2.3.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.log (>= 1.8.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-eventlet (>= 0.18.4),
+         python3-monotonic (>= 0.6),
+         python3-oslo.concurrency (>= 3.5.0),
+         python3-oslo.config (>= 1:3.7.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.log (>= 1.14.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-paste,
          python3-pastedeploy,
          python3-routes,

## python-oslo.service 1.16.0

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 eventlet!=0.18.3,>=0.18.2 # MIT
 greenlet>=0.3.2 # MIT
 monotonic>=0.6 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
-oslo.config>=3.9.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
+oslo.concurrency>=3.8.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 six>=1.9.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (1.16.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 31 Aug 2016 19:24:39 +0000

python-oslo.service (1.16.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:04:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.service
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -17,16 +18,16 @@
 Build-Depends-Indep: python-babel,
                      python-coverage,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-greenlet,
                      python-hacking,
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.1),
                      python-paste,
@@ -37,16 +38,16 @@
                      python-webob,
                      python3-babel,
                      python3-eventlet (>= 0.18.4),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-greenlet,
                      python3-hacking,
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-monotonic (>= 0.6),
-                     python3-oslo.concurrency (>= 3.5.0),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.concurrency (>= 3.8.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-oslotest (>= 1.10.0),
                      python3-paste,
                      python3-pastedeploy,
@@ -58,8 +59,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.service?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.service -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.service.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.service.git
 Homepage: https://github.com/openstack/oslo.service
 
 Package: python-oslo.service
@@ -67,11 +68,11 @@
 Depends: python-babel,
          python-eventlet (>= 0.18.4),
          python-monotonic (>= 0.6),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-paste,
          python-pastedeploy,
          python-routes,
@@ -96,11 +97,11 @@
 Depends: python3-babel,
          python3-eventlet (>= 0.18.4),
          python3-monotonic (>= 0.6),
-         python3-oslo.concurrency (>= 3.5.0),
-         python3-oslo.config (>= 1:3.7.0),
+         python3-oslo.concurrency (>= 3.8.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-paste,
          python3-pastedeploy,
          python3-routes,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/oslo.service.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## python-oslo.service 1.19.0

=== requirements.txt ===
--- 
+++ 
@@ -2,14 +2,14 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-WebOb>=1.2.3 # MIT
+WebOb>=1.6.0 # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT
 greenlet>=0.3.2 # MIT
 monotonic>=0.6 # Apache-2.0
-oslo.utils>=3.16.0 # Apache-2.0
+oslo.utils>=3.18.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-oslo.config>=3.14.0 # Apache-2.0
-oslo.log>=1.14.0 # Apache-2.0
+oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
+oslo.log>=3.11.0 # Apache-2.0
 six>=1.9.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
 PasteDeploy>=1.5.0 # MIT

=== debian/changelog ===
python-oslo.service (1.19.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 19:11:53 +0000

python-oslo.service (1.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:26:14 -0500

python-oslo.service (1.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Bump version depedencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 10:14:48 -0500

python-oslo.service (1.17.0-1ubuntu2) zesty; urgency=medium

  * debian/tests: Add autopkgtest 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Nov 2016 09:17:39 -0400

python-oslo.service (1.17.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version depedencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 15:04:42 -0400

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.1),
                      python-paste,
@@ -46,8 +46,8 @@
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 1.14.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1.10.0),
                      python3-paste,
                      python3-pastedeploy,
@@ -59,9 +59,11 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.service.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.service.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
 Homepage: https://github.com/openstack/oslo.service
+XS-Testsuite: autopkgtest
+
 
 Package: python-oslo.service
 Architecture: all
@@ -71,8 +73,8 @@
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.utils (>= 3.18.0),
          python-paste,
          python-pastedeploy,
          python-routes,
@@ -100,8 +102,8 @@
          python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 1.14.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.log (>= 3.11.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-paste,
          python3-pastedeploy,
          python3-routes,

## python-oslo.service 1.25.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

WebOb>=1.7.1 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
monotonic>=0.6 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
Paste # MIT

=== debian/changelog ===
python-oslo.service (1.25.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:26:12 -0400

python-oslo.service (1.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 12:13:14 -0400

python-oslo.service (1.23.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,control,test-blacklist-py*.txt: Switch to using ostestr for
    unit test execution, rework blacklisted tests into files.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:26:16 +0100

python-oslo.service (1.22.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Bump version depedencies.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
@@ -23,19 +23,20 @@
                      python-hacking,
                      python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-os-testr,
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.1),
                      python-paste,
                      python-pastedeploy,
                      python-requests (>= 2.5.2),
-                     python-routes,
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
-                     python-webob,
+                     python-webob (>= 1.7.1),
                      python3-babel,
                      python3-eventlet (>= 0.18.4),
                      python3-fixtures (>= 3.0.0),
@@ -43,19 +44,21 @@
                      python3-hacking,
                      python3-mock (>= 2.0),
                      python3-monotonic (>= 0.6),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-os-testr,
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.config (>= 1:4.0.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.11.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.log (>= 3.22.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
                      python3-paste,
                      python3-pastedeploy,
                      python3-requests (>= 2.5.2),
-                     python3-routes,
+                     python3-routes (>= 2.3.1),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-webob,
+                     python3-webob (>= 1.7.1),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
@@ -64,20 +67,19 @@
 Homepage: https://github.com/openstack/oslo.service
 XS-Testsuite: autopkgtest
 
-
 Package: python-oslo.service
 Architecture: all
 Depends: python-babel,
          python-eventlet (>= 0.18.4),
          python-monotonic (>= 0.6),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:4.0.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.utils (>= 3.20.0),
          python-paste,
          python-pastedeploy,
-         python-routes,
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -100,13 +102,13 @@
          python3-eventlet (>= 0.18.4),
          python3-monotonic (>= 0.6),
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 1:4.0.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.11.0),
-         python3-oslo.utils (>= 3.18.0),
+         python3-oslo.log (>= 3.22.0),
+         python3-oslo.utils (>= 3.20.0),
          python3-paste,
          python3-pastedeploy,
-         python3-routes,
+         python3-routes (>= 2.3.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

## python-oslo.service 1.29.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

WebOb>=1.7.1 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
monotonic>=0.6 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
Paste>=2.0.2 # MIT

=== debian/changelog ===
python-oslo.service (1.29.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:00 +0000

python-oslo.service (1.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:45 +0000

python-oslo.service (1.27.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:17:19 +0000

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.5.1),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-eventlet (>= 0.18.4),
 python-fixtures (>= 3.0.0),
 python-greenlet (>= 0.4.10),
 python-hacking,
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.1),
 python-paste,
 python-pastedeploy,
 python-requests (>= 2.5.2),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-webob (>= 1.7.1),
 python3-babel,
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-paste,
 python3-pastedeploy,
 python3-requests (>= 2.5.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-webob (>= 1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.service
Homepage: https://github.com/openstack/oslo.service
XS-Testsuite: autopkgtest

Package: python-oslo.service
Architecture: all
Depends:
 python-babel,
 python-eventlet (>= 0.18.4),
 python-monotonic (>= 0.6),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.33.0),
 python-paste,
 python-pastedeploy,
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 2.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the Python 2.x module.

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 python3-babel,
 python3-eventlet (>= 0.18.4),
 python3-monotonic (>= 0.6),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste,
 python3-pastedeploy,
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * SystemD notification support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -28,25 +28,13 @@
 	set -e ; set -x ; for i in 2.7 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist-py2.txt ; \
 	done
 	@echo "===> Running tests"
 	set -e ; set -x ; for i in $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist-py3.txt ; \
 	done
 endif

=== debian/tests/control ===
Tests: oslo-service
Depends: python-oslo.service
